﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Legend 속성을 사용해 레전드 항목간 수직 간격 설정하기";

            this.tChart.Panel.Pen         = new ChartPen(Color.Black);
            this.tChart.Legend.VertSpacing = 30;

            Bar bar = new Bar(this.tChart.Chart);

            bar.ColorEach = true;

            bar.FillSampleValues(6);
        }

        #endregion
    }
}